List reverse private endpoints
This endpoint is in beta. API contract is stable, and no breaking changes are expected in the future.
Returns a list of reverse private endpoints for the specified service.
GET
/
v1
/
organizations
/
{organizationId}
/
services
/
{serviceId}
/
clickpipesReversePrivateEndpoints
List reverse private endpoints
curl --request GET \
--url https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/clickpipesReversePrivateEndpoints \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/clickpipesReversePrivateEndpoints"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/clickpipesReversePrivateEndpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"result": [
{
"description": "My reverse private endpoint",
"type": "VPC_ENDPOINT_SERVICE",
"vpcEndpointServiceName": "com.amazonaws.vpce.us-east-1.vpce-svc-12345678901234567",
"vpcResourceConfigurationId": "rcfg-12345678901234567",
"vpcResourceShareArn": "arn:aws:ram:us-east-1:123456789012:resource-share/share-12345678901234567",
"mskClusterArn": "arn:aws:kafka:us-east-1:123456789012:cluster/my-cluster",
"mskAuthentication": "SASL_IAM",
"id": "12345678-1234-1234-1234-123456789012",
"serviceId": "12345678-1234-1234-1234-123456789012",
"endpointId": "vpce-12345678901234567",
"dnsNames": [
"<string>"
],
"privateDnsNames": [
"<string>"
],
"status": "Ready"
}
]
}{
"status": 400,
"error": "<string>"
}Authorizations
Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi
Path Parameters
ID of the organization that owns the service.
ID of the service that owns the Reverse Private Endpoint.
Last modified on July 3, 2026
Was this page helpful?
Previous
Create reverse private endpoint**This endpoint is in beta.** API contract is stable, and no breaking changes are expected in the future. <br /><br /> Create a new reverse private endpoint.
Next
⌘I
List reverse private endpoints
